var DigitalFolioMetaData = {};

(function () {
    var metaData = null;
    
    this.getVersionNumber = function (callback) {
        if(!metaData){
            this.getMetaData(function (data){ callback(data.version); });
        }
        else{
            callback(metaData.version);
        }
    }

    this.getMetaData = function (callback) {
        try {
            // Firefox 4 and later; Mozilla 2 and later
            if(!metaData){
                Components.utils.import("resource://gre/modules/AddonManager.jsm");
                AddonManager.getAddonByID("{793700EF-E9B4-4C47-B207-B0F45F69F4B7}", function (addon) {
                    metaData = addon;
                    callback(metaData);
                    
                });
            }
            else{
                callback(metaData);
            }
        } catch (ex) {
            // Firefox 3.6 and before; Mozilla 1.9.2 and before
            var em = Components.classes["@mozilla.org/extensions/manager;1"]
            .getService(Components.interfaces.nsIExtensionManager);
            var addon = em.getItemForID("{793700EF-E9B4-4C47-B207-B0F45F69F4B7}");
            metaData = addon;
            callback(metaData);
        }
    };

}).apply(DigitalFolioMetaData);





